Plugin Reviews

Woocommerce Enforce Strong Password

Allows woocommerce administrator enforce strong password usage.

4 reviews
Average Rating
3.5 out of 5 stars
Works great
By , for WP 4.0

Does what it says on the tin, great!

One suggestion, which is directed at developers using this plugin rather than the plugin developer. Make sure you let the user know what your password requirements are BEFORE they attempt to set their password. There is nothing more frustrating than trying to submit a form and being told "your password needs at least one number" and then submitting again and getting "your password needs at least one special character"... not the best user experience and I would imagine it would have a negative impact on the purchasing process.

In Woocommerce you can change the password notice quite easily via the template (woocommerce->checkout->form-billing.php around line 49), just make sure you copy the template into your own themes folder.

one bug
By , for WP 4.0

in checkout page the password strong validation not work.


Works fine
By , for WP 3.8.1

No problem during my test with this plugin.

Didn't worrk
By , for WP 3.8

I installed it and when someone tried to register, they got

"Fatal error: Call to a member function get_error_code() on a non-object in /home/domain/public_html/wp-content/plugins/woocommerce/woocommerce-functions.php on line 777"

You must log in to submit a review. You can also log in or register using the form near the top of this page.